<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.2) on Mon Apr 13 15:28:25 EEST 2020 -->
<title>Uses of Class model.OrderItem</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-04-13">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class model.OrderItem";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../OrderItem.html" title="class in model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class model.OrderItem" class="title">Uses of Class<br>model.OrderItem</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../OrderItem.html" title="class in model">OrderItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#bll">bll</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#dao">dao</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#presentation">presentation</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="bll">
<!--   -->
</a>
<h3>Uses of <a href="../OrderItem.html" title="class in model">OrderItem</a> in <a href="../../bll/package-summary.html">bll</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../../bll/package-summary.html">bll</a> that return <a href="../OrderItem.html" title="class in model">OrderItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../OrderItem.html" title="class in model">OrderItem</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">OrderItemBLL.</span><code><span class="memberNameLink"><a href="../../bll/OrderItemBLL.html#selectByIdPlusClient(int,java.lang.String)">selectByIdPlusClient</a></span>&#8203;(int&nbsp;id,
                    java.lang.String&nbsp;name)</code></th>
<td class="colLast">
<div class="block">Gaseste orderItem-ul cu id-ul si produsul dorit,apeland metoda din OrderItemDAO</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../../bll/package-summary.html">bll</a> that return types with arguments of type <a href="../OrderItem.html" title="class in model">OrderItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../OrderItem.html" title="class in model">OrderItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">OrderItemBLL.</span><code><span class="memberNameLink"><a href="../../bll/OrderItemBLL.html#selectById(int)">selectById</a></span>&#8203;(int&nbsp;id)</code></th>
<td class="colLast">
<div class="block">Gaseste orderItem-ul cu id-ul dorit, apeland metoda din OrderItemDAO</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../OrderItem.html" title="class in model">OrderItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">OrderItemBLL.</span><code><span class="memberNameLink"><a href="../../bll/OrderItemBLL.html#selectOrderItems()">selectOrderItems</a></span>()</code></th>
<td class="colLast">
<div class="block">Se apeleaza metoda selectAll din orderItemDAO,apeland metoda din OrderItemDAO</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../../bll/package-summary.html">bll</a> with parameters of type <a href="../OrderItem.html" title="class in model">OrderItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">OrderItemBLL.</span><code><span class="memberNameLink"><a href="../../bll/OrderItemBLL.html#deleteOrderItem(model.OrderItem)">deleteOrderItem</a></span>&#8203;(<a href="../OrderItem.html" title="class in model">OrderItem</a>&nbsp;orderItem)</code></th>
<td class="colLast">
<div class="block">Stegre un orderItem, apeland metoda din OrderItemDAO</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">OrderItemBLL.</span><code><span class="memberNameLink"><a href="../../bll/OrderItemBLL.html#insertOrderItem(model.OrderItem)">insertOrderItem</a></span>&#8203;(<a href="../OrderItem.html" title="class in model">OrderItem</a>&nbsp;orderItem)</code></th>
<td class="colLast">
<div class="block">Insereaza un orderItem, apeland metoda din OrderItemDAO</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">OrderItemBLL.</span><code><span class="memberNameLink"><a href="../../bll/OrderItemBLL.html#updateOrderItem(model.OrderItem,java.lang.String)">updateOrderItem</a></span>&#8203;(<a href="../OrderItem.html" title="class in model">OrderItem</a>&nbsp;orderItem,
               java.lang.String&nbsp;field)</code></th>
<td class="colLast">
<div class="block">Actualizeaza un orderItem, apeland metoda din OrderItemDAO</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="dao">
<!--   -->
</a>
<h3>Uses of <a href="../OrderItem.html" title="class in model">OrderItem</a> in <a href="../../dao/package-summary.html">dao</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../../dao/package-summary.html">dao</a> that return <a href="../OrderItem.html" title="class in model">OrderItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../OrderItem.html" title="class in model">OrderItem</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">OrderItemDAO.</span><code><span class="memberNameLink"><a href="../../dao/OrderItemDAO.html#findByIdPlusClient(int,java.lang.String)">findByIdPlusClient</a></span>&#8203;(int&nbsp;id,
                  java.lang.String&nbsp;name)</code></th>
<td class="colLast">
<div class="block">Gaseste in baza de date elemente orderItem in functie de un idOrder
 si un nume al clientului</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../OrderItem.html" title="class in model">OrderItem</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">OrderItemDAO.</span><code><span class="memberNameLink"><a href="../../dao/OrderItemDAO.html#updateTotal(model.OrderItem,java.lang.String)">updateTotal</a></span>&#8203;(<a href="../OrderItem.html" title="class in model">OrderItem</a>&nbsp;orderItem,
           java.lang.String&nbsp;fieldToUpdate)</code></th>
<td class="colLast">
<div class="block">Se face un update in baza de date la un obiect dat ca parametru
 Obiectul trebuie sa existe in baza de date.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../../dao/package-summary.html">dao</a> that return types with arguments of type <a href="../OrderItem.html" title="class in model">OrderItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../OrderItem.html" title="class in model">OrderItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">OrderItemDAO.</span><code><span class="memberNameLink"><a href="../../dao/OrderItemDAO.html#findById(int)">findById</a></span>&#8203;(int&nbsp;id)</code></th>
<td class="colLast">
<div class="block">Gaseste in baza de date elemente orderItem in functie de un idOrder</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../../dao/package-summary.html">dao</a> with parameters of type <a href="../OrderItem.html" title="class in model">OrderItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../OrderItem.html" title="class in model">OrderItem</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">OrderItemDAO.</span><code><span class="memberNameLink"><a href="../../dao/OrderItemDAO.html#updateTotal(model.OrderItem,java.lang.String)">updateTotal</a></span>&#8203;(<a href="../OrderItem.html" title="class in model">OrderItem</a>&nbsp;orderItem,
           java.lang.String&nbsp;fieldToUpdate)</code></th>
<td class="colLast">
<div class="block">Se face un update in baza de date la un obiect dat ca parametru
 Obiectul trebuie sa existe in baza de date.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="presentation">
<!--   -->
</a>
<h3>Uses of <a href="../OrderItem.html" title="class in model">OrderItem</a> in <a href="../../presentation/package-summary.html">presentation</a></h3>
<table class="useSummary">
<caption><span>Method parameters in <a href="../../presentation/package-summary.html">presentation</a> with type arguments of type <a href="../OrderItem.html" title="class in model">OrderItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PdfGenerator.</span><code><span class="memberNameLink"><a href="../../presentation/PdfGenerator.html#createBill(model.Order,java.util.List,bll.ClientBLL,bll.ProductBLL)">createBill</a></span>&#8203;(<a href="../Order.html" title="class in model">Order</a>&nbsp;order,
          java.util.List&lt;<a href="../OrderItem.html" title="class in model">OrderItem</a>&gt;&nbsp;orderItem,
          <a href="../../bll/ClientBLL.html" title="class in bll">ClientBLL</a>&nbsp;client,
          <a href="../../bll/ProductBLL.html" title="class in bll">ProductBLL</a>&nbsp;product)</code></th>
<td class="colLast">
<div class="block">Creeaza o chitanta pentru o comanda.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../OrderItem.html" title="class in model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
